Bug 13458 - unace version upgrade
: unace version upgrade
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/unace)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-11-17 13:44 by
Modified: 2011-01-12 23:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-11-17 13:44:02
неплохо бы обновить версию до 2.5, которая может распаковывать архивы ACE 2.0
------- Comment #1 From 2008-05-04 21:10:45 -------
Андрей, а не хотите сами?  Только тогда лучше заворачивать этот бинарник в
пакет
unace2, наверное.  Чё-то они испортились...

Поскольку это по сути запрос нового пакета (возможно, конфликтующего с текущим)
-- перевешиваю на nobody@.
------- Comment #2 From 2008-05-05 14:44:29 -------
Я пробовал собрать пакет с бинарником, но он не был принят в Сизиф. Исходников
новой версии нет, так что дело тухлое. За пакет unace не держусь, как и вообще
за все пакеты после наступления в Сизифе чрезмерной автоматики. 
------- Comment #3 From 2011-01-12 23:00:12 -------
Баг надолго "завис" в состоянии NEW. Возьму на себя ответственность закрыть его
как WONTFIX. Бинарники без исходников в репозитарии - это зло. В каких-то
случаях приходится мириться с неизбежным злом - когда это, например,
проприетарные драйвера или проприетарные реализации популярных технологий (при
отсутствии сопоставимой по качеству опенсорсной реализации)... Но в таких
случаях хотя бы очевидная поддерживаемость таких программ позволяет надеяться
на то, что апстрим будет реагировать при нахождении уязвимостей.

В случае с unace, оказывается есть две уязвимости, найденные еще в 2005 году (и
в нашей сборке до сих пор не запатченные - сейчас буду вешать багу). При этом
"One of the buffer overflow vulnerabilities have also been reported in version
2.04, 2.2 and 2.5.". Так что, вендор уже больше пяти лет предлагает бинарник с
уязвимостью... Однозначно - в топку.